incubator-callback-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Norm Santos (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-279) Android example app includes incorrect version of phonegap.js
Date Tue, 28 Feb 2012 14:59:46 GMT

    [ https://issues.apache.org/jira/browse/CB-279?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13218249#comment-13218249
] 

Norm Santos commented on CB-279:
--------------------------------

Thank you everyone for replying so quickly. I'm still a little confused. If I diff the android
phonegap-1.4.1.js file against the iOS phonegap-1.4.1.js file (both in the their respective
example apps) they show massive differences.

As of now I've been assuming that the phonegap.js files are the same across different architectures.
This being the magic of phonegap? This has allowed me to use the example applications (android
and iOS) for local development with simply symlinking the www directory. The applications
used a shared phonegap.js file from the iOS build.

Is this an incorrect assumption? Does one need to use the respective phonegap.js for each
architecture being developed for?
                
> Android example app includes incorrect version of phonegap.js
> -------------------------------------------------------------
>
>                 Key: CB-279
>                 URL: https://issues.apache.org/jira/browse/CB-279
>             Project: Apache Callback
>          Issue Type: Bug
>          Components: Android
>    Affects Versions: 1.4.0
>            Reporter: Norm Santos
>            Assignee: Simon MacDonald
>            Priority: Trivial
>             Fix For: 1.5.0
>
>
> The phonegap 1.4.1 zip https://github.com/callback/phonegap/zipball/1.4.1 - includes
an incorrect phonegap.js files in the android directories. 
> In both:
> callback-phonegap-0d1f305/lib/android/phonegap-1.4.1.js
> callback-phonegap-0d1f305/lib/android/example/assets/www/phonegap-1.4.1.js
> The version number shows 1.2.0 inside each. Diffs of a know correct phonegap-1.4.1 file
and the android versions are also vastly different. Have not dug in to see if the included
phonegap-1.4.1.jar is also incorrect.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message